"use strict";

module.exports = {
  group: '原子组件',
  componentName: 'Menu.Item',
  title: '菜单项',
  docUrl: '',
  screenshot: '',
  npm: {
    "package": '@alilc/lowcode-materials',
    version: '{{version}}',
    exportName: 'Menu',
    main: '',
    destructuring: true,
    subName: 'Item'
  },
  props: [{
    name: 'key',
    propType: 'string',
    description: '菜单项标识符'
  }, {
    name: 'disabled',
    propType: 'bool',
    description: '是否禁用',
    defaultValue: false
  }, {
    name: 'helper',
    propType: 'node',
    description: '帮助文本'
  }, {
    name: 'style',
    propType: 'object'
  }],
  configure: {
    component: {
      isContainer: true,
      nestingRule: {
        parentWhitelist: ['Menu', 'SubMenu', 'Menu.Group', 'MenuButton']
      }
    },
    advanced: {
      callbacks: {
        onHoverHook: function onHoverHook() {
          return false;
        },
        onMouseDownHook: function onMouseDownHook() {
          return false;
        },
        onClickHook: function onClickHook() {
          return false;
        },
        onMove: function onMove() {
          return false;
        }
      }
    }
  },
  icon: '',
  category: '信息输入'
};